Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 11:38
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Success porting Openshot video editor to puppy.
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 6 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Author Message
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Sat 22 May 2010, 08:33    Post_subject:  

If you are not using lupu, download and install this pet which contains some extra libs to make ffplay and hence openshot 1.0.0 work.

ffplay_extra_libs

Cheers.

Note:
Above link has been corrected due to wrong file structure in the former. If you have already downloaded the previous pet, my apologies. Download once again to correct the anomaly.
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 27 May 2010, 23:17    Post_subject:  

Many thanks Smile
I was using Openshot in Ubuntu yesterday.
I was able to create a family birthday video
with a story, lighten the film, fade in and out
and export to a 200MB ogg video
(yeah I know it is big - this is video)

It might use python but this software works
(I like works)

However . . . Embarassed

Could not get it working from menu on my Lucid 5 . . .
'openshot' did not work from command line
There is a python file here:
/usr/bin/openshot

How do you run python?
How do I run the enclosed file?
Is it the right one?

Puppy small
Programs Big

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Fri 28 May 2010, 09:36    Post_subject:  

Hi Lobster,
Does typing

#python

at the console give the following:

Python 2.5 (r25:51908, Mar 10 2007, 13:06:27)
[GCC 3.4.4] on linux2
Type "help", "copyright", "credits" or "license" for more information.

If not, check /usr/bin to make sure you have 'python2.5' and 'python' in there. The latter must be be a symlink to the former.

Cheers.
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Fri 28 May 2010, 10:59    Post_subject:  

I am getting this (I forgot to install python but now have the one suggested by Smokey)

Code:
# python
Python 2.5.2 (r252:60911, Mar  1 2008, 13:52:45)
[GCC 4.2.3] on linux2


I am very quickly getting this (normally when playing a video - which does not play properly anyways) - may uninstall and install again . . .

Code:
# openshot
Added /usr/share/openshot to system path
--------------------------------
   OpenShot (version 1.0.0)
--------------------------------
/usr/share/openshot/windows/SimpleGladeApp.py:340: GtkWarning: gtk_toolbar_set_icon_size: assertion `icon_size != GTK_ICON_SIZE_INVALID' failed
  return gtk.glade.XML(self.glade_path, root, domain)
A new frmMain has been created
on_tlbPlay_clicked called with self.tlbPlay
Segmentation fault

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Sun 13 Jun 2010, 02:25    Post_subject: openshot 1.1.3 works in lupu!  

Hi all
I have managed to make openshot 1.1.3 run in lupu 5. All the following pets must be installed to make it work.

1. ffmpeg-0.5.2.pet : This ffmpeg contains ffplay. However, video output is black and white!
2. mplayer-1.0rc3.pet : The color is restored after installing this from playdayz. Playdayz, any idea why this is so? Bonus: you get mplayer capability by installing this.
3. gnome-mplayer-Lucid.pet : Not really needed but gives you mplayer gui. Also from playdayz.
4. libgoocanvas-3.4.0.pet
5. openshot_frei0r-1.pet : Made from lucid frei0r-1 plugins.
6. openshot_mlt-0.5.4.pet : Also from lucid repository. Includes melt and all the necessary libmlts
7. python_minimal-2.5.pet : Obtained this minimal python from the forum (can't recollect the source though) and added the necessary modules and files (mlt, goocanvas, cairo, gtk, and xdg, etc)
8. openshot-1.1.3.pet : This is the latest openshot with a lot of improvement over the previous ones. For example, it now has undo and redo buttons.

Might work on other versions of puppy but first back up any files related to ffmpeg like libavformat, libavdevice, libavcodec, etc ... or test it first on another partition with fresh install (frugal is easiest) of your favourite puplet.

Cheers.

smil99.

Edited_time_total
Back to top
View user's profile Send_private_message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Tue 15 Jun 2010, 13:53    Post_subject:  

thanks for this smil99
_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Thu 17 Jun 2010, 19:08    Post_subject:  

My pleasure.

I would like to know if it is working for you.

Cheers.
Back to top
View user's profile Send_private_message 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Sat 26 Jun 2010, 17:57    Post_subject:  

Hi fellow puppians,
Don't I deserve to know if openshot that I put together is working for you or not?
C'mon share your experiences here.

Cheers.

smil99.
Back to top
View user's profile Send_private_message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sun 27 Jun 2010, 08:56    Post_subject:  

lupu500 needed 128MB pupsave!
got this far using these packages (images below this post and the next)
not sure how to configure melt
failed to import .mp4
need to do some openshot reading.
taking a short break now.
openshot packages.jpg
 Description   
 Filesize   58.51 KB
 Viewed   2331 Time(s)

openshot packages.jpg


Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sun 27 Jun 2010, 10:08    Post_subject:  

second image from above post
openshot.jpg
 Description   
 Filesize   32.64 KB
 Viewed   2276 Time(s)

openshot.jpg


_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Sun 27 Jun 2010, 12:43    Post_subject:  

more
outputs.jpg
 Description   
 Filesize   44.44 KB
 Viewed   2236 Time(s)

outputs.jpg


_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Mon 28 Jun 2010, 04:21    Post_subject:  

http://packages.debian.org/sid/i386/libvpx0/download
_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Mon 28 Jun 2010, 07:49    Post_subject:  

aarf,
Thanks for the feedback.
I am not quite sure but does installing libvpx0 make ffplay work? My installation didn't even require libvpx0 to work.

I would suggest you install openshot and all the accompanying pets on a fresh install of lupu and see the outcome. As you may know, ffmpeg, ffplay and melt depend on specific versions of other libs such as libavformat, libdevice, etc. If the required versions are not there, errors like melt not finding required codecs and not able to import anything into openshot occurs.

As I pointed out earlier in this thread, running the commands
# melt
followed by
# melt -query "producers"
must give a list of producers among which MUST be 'avformat'.
Prior to running openshot, you may also try playing any video using ffplay or melt. If you are able to do that, then openshot should work.

Notes:
(1) After installing openshot, it is possible that another program that is installed later may overwrite some of these libs (libavformat, libdevice, etc) with those that are contained in that pet. Personally, I always unpet any pet and find out if the libs contained therein are not already in my system. If they are, I do another pet without these libs and see if the new program will work with the already installed libs.
You may use this command to unpet a pet:
# pet2tgz
untar the tgz and check the folders, especially the libs folder, for any duplications of libs as explained above.


(2) It seems 128MB pupsave is way too small for doing any serious video editing. I always do a frugal install but choose the option of saving to the entire partition. Thus, my pupsave is the entire size of the partition and I do not worry about increasing pupsave size in the future.
I am sure you already know how to partition disks or resize partitions through GParted. Don't you?

Cheers.
Back to top
View user's profile Send_private_message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Mon 28 Jun 2010, 09:35    Post_subject:  

ffplay with the missing file above now plays mp4 on this new install virgin lupu 500. just e2fsprog to check the disks.
have done the
# melt
followed by
# melt -query "producers"
but still get (nothing) >.
yes resizing is no problem. still have 24MB free in my 128mb partition.
still cant import or play anything in openshot. even small jpg series wont show as imported.

_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
smil99

Joined: 18 Aug 2007
Posts: 174

PostPosted: Mon 28 Jun 2010, 10:11    Post_subject:  

I think the problem is with your version of ffmpeg (ffmpeg-0.6-i686-Lucid.pet) and its dependencies as against the one I provided which is ffmpeg-0.5.2.pet.

Try installing the one in my post (ie ffmpeg-0.5.2.pet).

As I said earlier, most of the packages floating around may have similar names but their dependencies may vary with respect to version numbers.

Cheers.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 6 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, 6 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Multimedia
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0842s ][ Queries: 13 (0.0091s) ][ GZIP on ]